Package htsjdk.samtools.cram.ref

# Enum Class ReferenceContextType

java.lang.Object
java.lang.Enum<ReferenceContextType>
htsjdk.samtools.cram.ref.ReferenceContextType

All Implemented Interfaces:
  `Serializable`, `Comparable<ReferenceContextType>`, `Constable`

public enum ReferenceContextType extends Enum<ReferenceContextType>
Is this `ReferenceContext` Single Reference, Multiple Reference, or Unmapped? Section 8.5 of the CRAM spec defines the following values for the Slice Header sequence ID field: -2: Multiple Reference Slice -1: Unmapped-Unplaced Slice Any positive integer (including zero): Single Reference Slice

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MULTIPLE_REFERENCE_TYPE`
`SINGLE_REFERENCE_TYPE`
`UNMAPPED_UNPLACED_TYPE`

## Method Summary

Modifier and Type
Method
Description
`static ReferenceContextType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReferenceContextType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MULTIPLE_REFERENCE_TYPE

public static final ReferenceContextType MULTIPLE_REFERENCE_TYPE

### UNMAPPED_UNPLACED_TYPE

public static final ReferenceContextType UNMAPPED_UNPLACED_TYPE

### SINGLE_REFERENCE_TYPE

public static final ReferenceContextType SINGLE_REFERENCE_TYPE

## Method Details

### values

public static ReferenceContextType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReferenceContextType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null